{ config, pkgs, ... }:

{
# imports = [
#		./nvim.nix
#		./unstable.nix
# ];


	environment.systemPackages = with pkgs; [
		htop
		iftop
		wget
		curl
		exa
		bat
		fd
		ag
		viu
		w3m
		ranger
		ripgrep
		tcpdump
		whois
		mtr
		file
		lsof
		atool
		inotify-tools
		strace
		zip
		unzip
		rsync
		tmux
		pwgen
		glow
		gitAndTools.gitFull
		dig
		wpa_supplicant
		#neovim defined in ./nvim.nix
		#wofi
		#firefox
		#fractal
		#pinentry_gnome
		pass
		gcc
		less
		mpv
		zathura
		#qmk_firmware
		python3
		gdb
		#vcv-rack
		#xdotool
		#neofetch
		#calibre
		#openvpn
		#gimp
		xxd
		#tilix
		kitty
		taskwarrior
		gnupg
		#openjdk
		#glslviewer
		#filezilla
		#signal-desktop
		#wire-desktop
		#tdesktop
		#feedreader
		#newsflash
		#syncthing
		dijo
		#kdeconnect
		#ssb-patchwork
		#gnome3.gnome-tweaks
		#gnome3.pomodoro
		#gnomeExtensions.gsconnect
		#gnomeExtensions.taskwhisperer
		#gnome3.networkmanager-openvpn
		#python3Packages.youtube-dl
		#appimage-run
		#home-manager
		libreoffice
		fontconfig
		#hugo
		#processing
		#nextcloud-client
		#zsh-powerlevel10k
		powerline-fonts
		#supercollider
		haskellPackages.tidal
		pandoc
	];

	#programs.bash.enableCompletion = true;
	environment.shellAliases = {
		"cat": "bat";
		"ls":"exa";
		"grep": "rg";
	};		

	# needed for vcv-rack
	#nixpkgs.config.allowUnfree = true; 
	programs.gnupg.agent.enable = true;
	programs.gnupg.agent.pinentryFlavor = "curses";
	programs.gnupg.agent.enableSSHSupport = false;

	#system.copySystemConfiguration = true;
	#services.syncthing = {
	#  enable = true;
	#  openDefaultPorts = true;
	#  systemService = true;
	#  user		 = "anish";
	#  dataDir = "/home/anish/usr/syncthing";
	#};

	#zsh powerlevel10k
	#programs.zsh.enable = true;
	#programs.zsh.promptInit = "source ${pkgs.zsh-powerlevel10k}/share/zsh-powerlevel10k/powerlevel10k.zsh-theme";
	#users.users.anish.shell = pkgs.zsh;

	#android 
	programs.adb.enable = true;
	users.users.anish.extraGroups = ["adbusers"];

	nix.extraOptions = ''
		keep-outputs = true
		keep-derivations = true
	'';

}
